Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1377395 (sbcl-aarch64) - sbcl packages don't exist for aarch64 and ppc64(LE)
Summary: sbcl packages don't exist for aarch64 and ppc64(LE)
Keywords:
Status: CLOSED RAWHIDE
Alias: sbcl-aarch64
Product: Fedora
Classification: Fedora
Component: sbcl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 ARMTracker PPCTracker ARM64, F-ExcludeArch-aarch64 1380102
TreeView+ depends on / blocked
 
Reported: 2016-09-19 14:53 UTC by Matt Chan
Modified: 2017-03-29 14:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-29 14:10:09 UTC


Attachments (Terms of Use)

Description Matt Chan 2016-09-19 14:53:59 UTC
Description of problem:
SBCL doesn't have packages for aarch64 and ppc64(LE)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Rex Dieter 2016-09-19 15:48:20 UTC
Upstream *claims* aarch64 is supported, 
http://www.sbcl.org/platform-table.html
(ppc64, not so much)


but the last time I tried bootstrapping a build, it failed miserably.

Hopefully, I can find some time to try again soon.

Comment 2 Peter Robinson 2016-09-28 18:47:54 UTC
> but the last time I tried bootstrapping a build, it failed miserably.

I tried aarch64 and the bootstrap binaries crashed on f24 even running basic bits

Comment 3 Ngo Than 2017-03-29 14:10:09 UTC
i added aarch64 support in sbcl-1.3.16-2.fc27.

https://koji.fedoraproject.org/koji/buildinfo?buildID=873805


Note You need to log in before you can comment on or make changes to this bug.